SDL_GetDisplayContentScale(3)

NAME
SDL_GetDisplayContentScale - Get the content scale of a display.

SYNOPSIS
#include <SDL3/SDL_video.h>

float SDL_GetDisplayContentScale(SDL_DisplayID displayID);

DESCRIPTION
The content scale is the expected scale for content based on the DPI settings of the display. For example, a 4K display might have a 2.0 (200%) display scale, which means that the user expects UI elements to be twice as big on this display, to aid in readability.

After window creation, SDL_GetWindowDisplayScale() should be used to query the content scale factor for individual windows instead of querying the display for a window and calling this function, as the per-window content scale factor may differ from the base value of the display it is on, particularly on high-DPI and/or multi-monitor desktop configurations.

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowDisplayScale(3), SDL_GetDisplays(3)